Package com.pixelmed.scpecg

## Class Section8Or11

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section8Or11

-     public class Section8Or11
      extends Section

  A class to encapsulate the SCP-ECG Textual Diagnosis and Universal Interpretative Statement Codes sections.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.scpecg.Section

      `bytesRead, header, sectionBytesRemaining, tree`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Section8Or11​(SectionHeader header)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getConfirmed()` |
    `int` | `getDay()` |
    `int` | `getHour()` |
    `int` | `getMinute()` |
    `int` | `getMonth()` |
    `int` | `getNumberOfStatements()` |
    `int` | `getSecond()` |
    `java.lang.String` | `getSectionName()` | Get a string name for this section.
    `int[]` | `getSequenceNumbers()` |
    `int[]` | `getStatementLengths()` |
    `byte[][]` | `getStatements()` |
    `SCPTreeRecord` | `getTree​(SCPTreeRecord parent)` | Get the contents of the section as a tree for display, constructing it if not already done.
    `int` | `getYear()` |
    `long` | `read​(BinaryInputStream i)` | Read the remainder of the section from a stream.
    `java.lang.String` | `toString()` | Dump the section as a `String`.
    `java.lang.String` | `validate()` | Validate the section against the standard.

    - ### Methods inherited from class com.pixelmed.scpecg.Section

      `addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Section8Or11

          public Section8Or11​(SectionHeader header)

  - ### Method Detail

    - #### getSectionName

          public java.lang.String getSectionName()

      Get a string name for this section.

      Overrides:
        `getSectionName` in class `Section`
      Returns:
        a string name for this section

    - #### getConfirmed

          public int getConfirmed()

    - #### getYear

          public int getYear()

    - #### getMonth

          public int getMonth()

    - #### getDay

          public int getDay()

    - #### getHour

          public int getHour()

    - #### getMinute

          public int getMinute()

    - #### getSecond

          public int getSecond()

    - #### getNumberOfStatements

          public int getNumberOfStatements()

    - #### getSequenceNumbers

          public int[] getSequenceNumbers()

    - #### getStatementLengths

          public int[] getStatementLengths()

    - #### getStatements

          public byte[][] getStatements()

    - #### read

          public long read​(BinaryInputStream i)
                    throws java.io.IOException

      Description copied from class: `Section`

      Read the remainder of the section from a stream.

      Overrides:
        `read` in class `Section`
      Parameters:
        `i` - the input stream
      Returns:
        the number of bytes read
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Section`

      Dump the section as a `String`.

      Overrides:
        `toString` in class `Section`
      Returns:
        the section as a `String`

    - #### validate

          public java.lang.String validate()

      Description copied from class: `Section`

      Validate the section against the standard.

      Overrides:
        `validate` in class `Section`
      Returns:
        the validation results as a `String`

    - #### getTree

          public SCPTreeRecord getTree​(SCPTreeRecord parent)

      Get the contents of the section as a tree for display, constructing it if not already done.

      Overrides:
        `getTree` in class `Section`
      Parameters:
        `parent` - the node to which this section is to be added if it needs to be created de novo
      Returns:
        the section as a tree